<?php
session_start();
// infos de base du site
$site=array(
    "titre"=>"Mémoire post-ERG / A life after ERG",
    "descriptif"=>"Un dérivé de XML collection avec une fonction d'import. Comment montrer un grand nombre de documents et les classer de la manière la plus fluide possible ?",
    "keywords"=>"collection, xml, outil, galerie",
    "footer" => "Collection de l'ERG",
);

// accès 
$logins = array(
    "admin"=> array( // the login
        "nom"=>"admin", // the name (! not the login)
        "pwd"=>"admin" // the password
    )
);

define("COLLECTION",true); // gestion des collections activée
define("DISPLAY_TOOL_TRI",true); // afficher ou pas l'outil de tri
define("DISPLAY_TOOL_INFOS",true); // afficher ou pas l'outil des infos
define("DISPLAY_TOOL_ACTION",true); // afficher ou pas le choix de l'affichage des contenus

define("DISPLAY_ACTION","showlateral"); // gestion des collections activée showgal, showlateral, shpwfullpage
define("DISPLAY_TRI","byid"); // gestion de l'ordre des items: byid,byantiid,alpha,antialpha

// taille des vignettes
define("ILLU_WIDTH",500);
define("ILLU_HEIGHT",500);
define("IMG_DEFAULT","images/defaut.jpg");

// chemin pour toutes les manipulations de fichier
define("CHEMIN", str_replace(array("/admin","/process","/inc"),"",realpath(''))."/");
@$url_dir = preg_replace('/[^\/]+\.php(\?.*)?$/i', '',($_SERVER['REQUEST_SCHEME'] ? $_SERVER['REQUEST_SCHEME']."://" : "http://"). $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
define("URL",str_replace(array("/config","/process","/inc"),"",$url_dir));

/* constantes utiles */
define("DOSSIER_XML","contenus/xmls/"); // dossier des xml
define("DOSSIER_FICHIERS","contenus/fichiers/"); // dossier des fichiers
define("DOSSIER_VIGNETTES","contenus/cache/vignettes/"); // dossier des vignettes
define("DOSSIER_CACHE","contenus/cache/"); // cache pour vignettes et des items
define("MODELE",CHEMIN."config/structure_xml.xml");
define("DOSSIER_UPLOAD","upload/");
define("DOSSIER_CUSTOM","config/custom/");
define("DOSSIER_COLLECTION","contenus/collections/"); // dossier des xml
define("MODELE_COLLECTION",CHEMIN."config/structure_collection.xml");

// afficher les messages d'erreur ou log obligé
define("DEBUG",false);
?>